<?php
    if(!defined("CORE_FOLDER")) die();
    $LANG       = $module->lang;
    $CONFIG     = $module->config;
?>
<form action="<?php echo Controllers::$init->getData("links")["controller"]; ?>" method="post" id="UIPSIMSettings">
    <input type="hidden" name="operation" value="module_controller">
    <input type="hidden" name="module" value="UIPSIM">
    <input type="hidden" name="controller" value="settings">

    <div class="blue-info" style="margin-bottom:20px;">
        <div class="padding15">
            <p><?php echo $LANG["description"]; ?></p>
        </div>
    </div>

    <div id="informationsintdesc" data-iziModal-title="<?php echo $LANG["informationstitleint"]; ?>" style="display:none">
        <div class="padding20"><p><?php echo $LANG["descriptionint"]; ?></p></div>
    </div>

    <div class="formcon">
        <div class="yuzde30">User Token</div>
        <div class="yuzde70">
            <input type="text" name="user-token" value="<?php echo $CONFIG["user-token"]; ?>">
            <span class="kinfo"><?php echo $LANG["user-token-desc"]; ?></span>
        </div>
    </div>

    <div class="formcon">
        <div class="yuzde30"><?php echo $LANG["origin-name"]; ?></div>
        <div class="yuzde70">
            <input type="text" name="origin" value="<?php echo $CONFIG["origin"]; ?>">
            <span class="kinfo"><?php echo $LANG["origin-name-desc"]; ?></span>
        </div>
    </div>


    <div class="formcon">
        <div class="yuzde30"><?php echo $LANG["balance-info"]; ?></div>
        <div class="yuzde70" id="UIPSIM_get_credit"><?php echo $LANG["balance-info-desc"]; ?></div>
    </div>


    <div style="float:right;" class="guncellebtn yuzde30"><a id="UIPSIM_submit" href="javascript:void(0);" class="yesilbtn gonderbtn"><?php echo $LANG["save-button"]; ?></a></div>

</form>
<script type="text/javascript">

    var value   = $("#UIPSIM_get_credit").html();
    var loadBalanceUIPSIM;

    $(document).ready(function(){

        setInterval(function(){
            var display = $("#module-UIPSIM").css("display");
            if(display != "none"){
                if(!loadBalanceUIPSIM){

                    var request = MioAjax({
                        action:window.location.href,
                        method:"POST",
                        data:{
                            operation:"module_controller",
                            module:"UIPSIM",
                            controller:"get-credit"
                        }
                    },true,true);

                    request.done(function(result){
                        UIPSIM_get_credit(result);
                    });

                    loadBalanceUIPSIM = true;
                }
            }
        },300);

        $("#UIPSIM_get_credit").html(window.value.replace("{credit}",'<?php echo ___("needs/loading-element"); ?>'));

        $("#UIPSIM_submit").click(function(){
            MioAjaxElement($(this),{
                waiting_text:waiting_text,
                progress_text:progress_text,
                result:"UIPSIMSettings_handler",
            });
        });
    });

    function UIPSIM_get_credit(result) {
        if(result != ''){
            var solve = getJson(result);
            if(solve !== false){
                $("#UIPSIM_get_credit").html(window.value.replace("{credit}",solve.credit));

            }else
                console.log(result);
        }
    }

    function UIPSIMSettings_handler(result){
        if(result != ''){
            var solve = getJson(result);
            if(solve !== false){
                if(solve.status == "error"){
                    if(solve.for != undefined && solve.for != ''){
                        $("#UIPSIMSettings "+solve.for).focus();
                        $("#UIPSIMSettings "+solve.for).attr("style","border-bottom:2px solid red; color:red;");
                        $("#UIPSIMSettings "+solve.for).change(function(){
                            $(this).removeAttr("style");
                        });
                    }
                    if(solve.message != undefined && solve.message != '')
                        alert_error(solve.message,{timer:5000});
                }else if(solve.status == "successful")
                    alert_success(solve.message,{timer:2500});
            }else
                console.log(result);
        }
    }
</script>